Complete Task
curl --request POST \
--url https://{instance}.domo.com/api/queues/v1/{queueId}/tasks/{taskId}/complete \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data @- <<EOF
{
"Suggested_Action_Items": "1. Investigate assembly line for misalignment issues near the hinge area\n2. Inspect and replace seals in the actuator's main chamber to prevent hydraulic leaks\n3. Address the issue of missing or loose fasteners with the supplier\n",
"Send_to_QA_Team": true
}
EOFimport requests
url = "https://{instance}.domo.com/api/queues/v1/{queueId}/tasks/{taskId}/complete"
payload = {
"Suggested_Action_Items": "1. Investigate assembly line for misalignment issues near the hinge area
2. Inspect and replace seals in the actuator's main chamber to prevent hydraulic leaks
3. Address the issue of missing or loose fasteners with the supplier
",
"Send_to_QA_Team": True
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Suggested_Action_Items: '1. Investigate assembly line for misalignment issues near the hinge area\n2. Inspect and replace seals in the actuator\'s main chamber to prevent hydraulic leaks\n3. Address the issue of missing or loose fasteners with the supplier\n',
Send_to_QA_Team: true
})
};
fetch('https://{instance}.domo.com/api/queues/v1/{queueId}/tasks/{taskId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Task Center API
Complete Task
Completes the task with the values given in the body
POST
/
api
/
queues
/
v1
/
{queueId}
/
tasks
/
{taskId}
/
complete
Complete Task
Authorizations
Domo Developer Token for authentication
Query Parameters
Task version number
Body
application/json
The request body accepts an object containing key value pairs for each input property of the task in question.
The body is of type object.
Response
The completed task
The response is of type object.
⌘I